%define __os_install_post %{nil}
%define modname php-ioncubeloader

Summary: Ioncube Loader for PHP
Vendor: Issabel Foundation
Name: %{modname}
Version: 2.0.0
License: Commercial
Release: 2
Group: Applications/System
Source0: %{modname}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: %{_arch}
Packager: Nicolas Gudino <nicolas@issabel.com>
URL: http://www.issabel.org
Requires(pre): php
AutoReq: no

%description
Loader for encoded PHP Files

%prep
%setup -n %{modname}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p                     $RPM_BUILD_ROOT/usr/local/ioncubeloader
mv setup/ioncubeloader/*     $RPM_BUILD_ROOT/usr/local/ioncubeloader

%preun

if [ $1 == 0 ];then
   # Complete remove, not remove because of upgrade
   rm -f /etc/php.d/00-ioncube.ini
   service httpd restart
fi

%posttrans
if [ ! -f /etc/php.d/00-ioncube.ini ]; then
PHPVER=$(php -v | head -n1 | cut -d ' ' -f2 | awk -F. '{print $1"."$2}'); 
PHPSOFILE="zend_extension=/usr/local/ioncubeloader/ioncube_loader_lin_$PHPVER.so"; 
echo $PHPSOFILE > /etc/php.d/00-ioncube.ini; 
service httpd restart
fi


%post
# moved to posttrans

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/local/ioncubeloader
%changelog
